Bug 88091 - DOCX Wrong text rotation in SmartArt shape
Summary: DOCX Wrong text rotation in SmartArt shape
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
: 88090 (view as bug list)
Depends on:
Blocks: OOXML-Shapes OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2015-01-06 05:11 UTC by Gary Houston
Modified: 2018-03-16 03:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
smartart shape rotated 90 degrees with 3D rotated text. (19.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-01-06 05:11 UTC, Gary Houston
Details
PDF version saved from Word. (101.83 KB, application/pdf)
2015-01-06 05:12 UTC, Gary Houston
Details
Comparison between Libreoffice 5.0.1.2 (left) and Word 2010 (right) (113.30 KB, image/jpeg)
2015-09-09 15:09 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Houston 2015-01-06 05:11:12 UTC
Created attachment 111823 [details]
smartart shape rotated 90 degrees with 3D rotated text.

Like in 87488 and its related bugs, but this one was created in SmartArt. A shape is rotated 90 degrees to the left, and the text is 3-D rotated by 270 degrees. In Word the text is the right way up, but in LibreOffice it's rotated to the right.

Created in Word 2010 on Windows by adding a smartart shape (3 chevrons), deleting 2 using cut from right-click menu, entering text on the remaining shape and rotating the shape 90 degrees. Text is then rotated by selecting the text, using right-click menu to find text formatting and within 3D rotation, rotating by 270 degrees on the Z axis.
Comment 1 Gary Houston 2015-01-06 05:12:34 UTC
Created attachment 111824 [details]
PDF version saved from Word.
Comment 2 Gary Houston 2015-01-06 05:17:00 UTC
Z-axis rotation may have been 90 degrees. There was something odd about it.
Comment 3 Yousuf Philips (jay) (retired) 2015-01-07 14:01:45 UTC
*** Bug 88090 has been marked as a duplicate of this bug. ***
Comment 4 Yousuf Philips (jay) (retired) 2015-01-07 14:07:09 UTC
Confirmed on Linux on master. Not a regression from what i can see.

Blue arrow is stretch the width of the page and the text is rotated 45 degrees.

Version: 4.5.0.0.alpha0+
Build ID: 39ac529d141dcd4de534eddbcc6c07bc49367b90
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-01-04_00:40:43
Comment 5 Gary Houston 2015-01-07 20:56:34 UTC
Thanks Jay. Bug 88090 is not an exact duplicate, since it uses a different method of rotating the text. It may be possible to fix one without fixing the other, so if this one is fixed, please check that one too.
Comment 6 Yousuf Philips (jay) (retired) 2015-01-10 10:49:16 UTC
Thanks Gary. Yes it will be checked once this one is fixed to make sure it is also fixed.
Comment 7 Xisco Faulí 2015-09-09 15:09:07 UTC
Created attachment 118548 [details]
Comparison between Libreoffice 5.0.1.2 (left) and Word 2010 (right)

This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 8 Robinson Tryon (qubit) 2015-12-09 18:44:54 UTC Comment hidden (obsolete)
Comment 9 Telesto 2016-12-05 18:51:51 UTC
This issue is still present in
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 10 QA Administrators 2018-03-16 03:36:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug